# Uses of Enum Class
org.apache.lucene.analysis.ja.JapaneseTokenizer.Mode

Packages that use JapaneseTokenizer.Mode
Package
Description
org.apache.lucene.analysis.ja
Analyzer for Japanese.

- ## Uses of JapaneseTokenizer.Mode in org.apache.lucene.analysis.ja

  Fields in org.apache.lucene.analysis.ja declared as JapaneseTokenizer.Mode
  Modifier and Type
  Field
  Description
  `static final JapaneseTokenizer.Mode`
  JapaneseTokenizer.`DEFAULT_MODE`
  Default tokenization mode.
  Methods in org.apache.lucene.analysis.ja that return JapaneseTokenizer.Mode
  Modifier and Type
  Method
  Description
  `static JapaneseTokenizer.Mode`
  JapaneseTokenizer.Mode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JapaneseTokenizer.Mode[]`
  JapaneseTokenizer.Mode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.analysis.ja with parameters of type JapaneseTokenizer.Mode
  Modifier
  Constructor
  Description
  ``
  `JapaneseAnalyzer(UserDictionary userDict, JapaneseTokenizer.Mode mode, CharArraySet stopwords, Set<String> stoptags)`
  ``
  `JapaneseTokenizer(UserDictionary userDictionary, boolean discardPunctuation, boolean discardCompoundToken, JapaneseTokenizer.Mode mode)`
  Create a new JapaneseTokenizer.
  ``
  `JapaneseTokenizer(UserDictionary userDictionary, boolean discardPunctuation, JapaneseTokenizer.Mode mode)`
  Create a new JapaneseTokenizer.
  ``
  `JapaneseTokenizer(AttributeFactory factory, TokenInfoDictionary systemDictionary, UnknownDictionary unkDictionary, ConnectionCosts connectionCosts, UserDictionary userDictionary, boolean discardPunctuation, boolean discardCompoundToken, JapaneseTokenizer.Mode mode)`
  Create a new JapaneseTokenizer, supplying a custom system dictionary and unknown dictionary.
  ``
  `JapaneseTokenizer(AttributeFactory factory, UserDictionary userDictionary, boolean discardPunctuation, boolean discardCompoundToken, JapaneseTokenizer.Mode mode)`
  Create a new JapaneseTokenizer using the system and unknown dictionaries shipped with Lucene.
  ``
  `JapaneseTokenizer(AttributeFactory factory, UserDictionary userDictionary, boolean discardPunctuation, JapaneseTokenizer.Mode mode)`
  Create a new JapaneseTokenizer using the system and unknown dictionaries shipped with Lucene.